Package org.opensaml.saml.metadata.resolver

# Interface ClearableMetadataResolver

All Superinterfaces:
  `Component`, `IdentifiedComponent`, `MetadataResolver`, `Resolver<EntityDescriptor,CriteriaSet>`

All Known Implementing Classes:
  `AbstractDynamicHTTPMetadataResolver`, `AbstractDynamicMetadataResolver`, `ChainingMetadataResolver`, `CompositeMetadataResolver`, `FunctionDrivenDynamicHTTPMetadataResolver`, `LocalDynamicMetadataResolver`

public interface ClearableMetadataResolver extends MetadataResolver
Specialization of `MetadataResolver` that supports on-demand clearing of the resolver's internal cache of data.

This would typically be implemented by "dynamic" resolvers of metadata such as `DynamicMetadataResolver`, rather than "batch" resolvers such as `BatchMetadataResolver`.

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
Attempt to clear all data from the internal cache of the resolver.
`void`
`clear(String entityID)`
Attempt to clear data from the internal cache of the resolver for the specified entityID.

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface org.opensaml.saml.metadata.resolver.MetadataResolver

`getMetadataFilter, getType, isRequireValidMetadata, setMetadataFilter, setRequireValidMetadata`

### Methods inherited from interface net.shibboleth.shared.resolver.Resolver

`resolve, resolveSingle`

## Method Details

### clear

void clear() throws ResolverException
Attempt to clear all data from the internal cache of the resolver.

Throws:
  `ResolverException` - if the clear operation was unsuccessful

### clear

void clear(@Nonnull String entityID) throws ResolverException
Attempt to clear data from the internal cache of the resolver for the specified entityID.

Parameters:
  `entityID` - the target entityID
Throws:
  `ResolverException` - if the clear operation was unsuccessful